package com.tzld.piaoquan.recommend.server.service.recall.strategy;

import com.tzld.piaoquan.recommend.server.service.flowpool.FlowPoolConstants;
import com.tzld.piaoquan.recommend.server.service.recall.RecallParam;
import org.springframework.stereotype.Service;

import static com.tzld.piaoquan.recommend.server.service.flowpool.FlowPoolConstants.KEY_WITH_SCORE_FORMAT;

/**
 * @author dyp
 */
@Service

public class FlowPoolWithScoreRecallStrategy extends AbstractFlowPoolWithScoreRecallStrategy {

    @Override
    String flowPoolKey(RecallParam param) {
        return String.format(KEY_WITH_SCORE_FORMAT, param.getAppType());
    }

    @Override
    public String pushFrom() {
        return FlowPoolConstants.PUSH_FORM;
    }
}
